<div class="card jh-card"  [formGroup]="editForm">
    <h4 id="page-heading">
        <span>Riwayat Transaksi</span>
    </h4>
    <br/>
    <div class="form-group" *jhiHasAnyAuthority="['ROLE_TU']">
	  <div class="row form-group no-gutters justify-content-start">
		    <div class="col-sm-7 col-md-4">
		  	  <div class="input-group mb-4" *ngIf="searchOption == 1">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions" >
	                <option value="1">Nis</option>
	               <!--  <option value="2">Nama</option> -->
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nis siswa..." name="pNis" formControlName="pNis"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('nis')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	  <div class="input-group mb-4" *ngIf="searchOption == 2">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions">
	                <option value="1">Nis</option>
	                <!-- <option value="2">Nama</option> -->
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nama siswa"  name="pSiswa" formControlName="pSiswa"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('siswa')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	</div>
    	</div>
    </div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="alert alert-warning" *ngIf="transaksis?.length === 0">
        <span>No transaksis found</span>
    </div>
    <div class="table-responsive" *ngIf="transaksis?.length > 0">
        <table class="table table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span></th> -->
            <th scope="col"  jhiSortBy="nomor"><span>No.Transaksi</span></th>
            <th scope="col"  jhiSortBy="tanggal"><span>Tgl.Transaksi</span></th>
            <th scope="col"  jhiSortBy="nomor"><span>Nama</span></th>
            <th scope="col"  jhiSortBy="nomor"><span>Nis</span></th>
            <th scope="col"><span>Jenis Pembayaran</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Metode Bayar</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Cara Bayar</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Jml.Tagihan</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Jml.Bayar</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Jml.Sisa</span></th>
            <!-- <th scope="col"  jhiSortBy="bank"><span>Bank</span></th>
            <th scope="col"  jhiSortBy="nomorRekening"><span>No.Rekening</span></th> -->
            <th scope="col"  jhiSortBy="virtualAccount"><span>Virtual Account</span></th>
            <th scope="col"  jhiSortBy="status"><span>Di Bayar</span></th>
            <th scope="col"  jhiSortBy="status"><span>Status</span></th>
            <!-- <th scope="col"  jhiSortBy="updateBy"><span>Update By</span></th>
            <th scope="col"  jhiSortBy="updateOn"><span>Update On</span></th> -->
            <!-- <th scope="col"  jhiSortBy="tagihan.id"><span>Tagihan</span></th> -->
            <!-- <th scope="col"></th> -->
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let transaksi of transaksis ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/transaksi', transaksi.id, 'view' ]">{{transaksi.id}}</a></td> -->
                <td>{{transaksi.nomorTransaksi}}</td>
                <td>{{transaksi.tanggalTransaksi | date:'dd-MM-yyyy'}} {{transaksi.tanggalTransaksi | date:'hh:mm:ss'}}</td>
                <td>{{transaksi.namaSiswa}}</td>
                <td>{{transaksi.nis}}</td>
                <td>{{transaksi.nomorTagihan}}</td>
                <td>{{transaksi.metodeTransaksi}}</td>
                <td>{{transaksi.caraBayar}}</td>
                <td>{{transaksi.jmlTagihan}}</td>
                <td>{{transaksi.jmlBayar}}</td>
                <td>{{transaksi.jmlSisa}}</td>
                <!-- <td>{{transaksi.bank}}</td>
                <td>{{transaksi.nomorRekening}}</td> -->
                <td>{{transaksi.virtualAccount}}</td>
                <td>{{transaksi.updateBy}}</td>
                <td>
                   <span><span *ngIf="transaksi.statusTransaksi === 'SUKSES'" style="color: #00e640; font-style: italic;">SUKSES</span></span>
                   <span><span *ngIf="transaksi.statusTransaksi === 'PROSES'" style="color: #ff9900; font-style: italic;">PROSES</span></span>
                </td>
                <!-- <td>{{transaksi.updateBy}}</td>
                <td>{{transaksi.updateOn | date:'medium'}}</td> -->
                <!-- <td>
                    <div *ngIf="transaksi.tagihan">
                        <a [routerLink]="['/tagihan', transaksi.tagihan?.id, 'view' ]" >{{transaksi.tagihan?.id}}</a>
                    </div>
                </td> -->
                <!-- <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/transaksi', transaksi.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/transaksi', transaksi.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(transaksi)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td> -->
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="transaksis?.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
